/***************************************************************************
                          kdlgdoc.h  -  description
                             -------------------
    begin                : Tue Nov 21 2000
    copyright            : (C) 2000 by Sergio Moretti
    email                : sermore@libero.it
    revision             : $Revision: 1.8 $
 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KDLGDOC_H
#define KDLGDOC_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <ktabctl.h>

class KMagoDoc;

/**
 * @short Dialog for Document configuration
 *
 * @author Sergio Moretti
 *
 * @version $Id: kdlgdoc.h,v 1.8 2001/03/05 20:59:22 sergio Exp $
 */

class KDlgDoc : public QWidget 
{
   Q_OBJECT

public: 
   KDlgDoc(KMagoDoc *doc, QWidget *parent=0, const char *name=0);
   ~KDlgDoc();
   bool isAcceptable() const;
   void accept();
   void reject();

protected:
   void init();
   void initDialog();

private:
   QLineEdit *lneMaxConn;
   QLineEdit *lneMaxBand;
   KMagoDoc *_doc;
};

#endif

/* Local Variables: */
/* mode: c++ */
/* End: */
