/***************************************************************************
                          kdlgtransfer1.h  -  description
                             -------------------
    begin                : Wed Sep 6 2000
    copyright            : (C) 2000 by Sergio Moretti
    email                : sermore@libero.it
    revision             : $Revision: 1.11 $
 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KDLGTRANSFER1_H
#define KDLGTRANSFER1_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <kcombobox.h>
//Generated area. DO NOT EDIT!!!(end)

#include <klocale.h>
#include <qwidget.h>

#include "ktransfer.h"

#ifdef DMALLOC
#include <dmalloc.h>
#endif

/**
 * @short Common configuration page for all @ref KTransfer objects.
 * 
 * @author Sergio Moretti
 *
 * @version $Id: kdlgtransfer1.h,v 1.11 2001/03/05 20:59:22 sergio Exp $
 */

class KDlgTransfer1 : public QWidget 
{
   Q_OBJECT

public:
   KDlgTransfer1(KTransfer t, QWidget *parent, const char *name=0);
   ~KDlgTransfer1();
   /** check if the dialog is in an acceptable state */
   bool isAcceptable();

protected:
   void initDialog();
   /** init dialog state */
   void init();
	
   QCheckBox *cbtGlobal;
   QCheckBox *cbtAutoResume;
   QLineEdit *lneMaxResume;
   QLineEdit *lneResumeTO;
   QCheckBox *cbtCheckResume;
   QLineEdit *lneMaxRetry;
   QLineEdit *lneRetryTO;
   QCheckBox *cbtLog;

public slots:
void accept();
   void reject();

protected slots: // Protected slots
/** update the dialog after a change in global checkbutton */
void slotSetGlobal(bool on);

   signals: // Signals
/** signal emitted when global state change */
void signalGlobalChange(bool g);

private:
   KTransfer t;
   bool _oldGlobal;
};

#endif

/* Local Variables: */
/* mode: c++ */
/* End: */
