/***************************************************************************
                          ktransferkio.h  -  description
                             -------------------
    begin                : Sun Nov 5 2000
    copyright            : (C) 2000 by Sergio Moretti
    email                : sermore@libero.it
    revision             : $Revision: 1.4 $
 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KTRANSFERKIO_H
#define KTRANSFERKIO_H

#include "ktransfer.h"

class KTManager;
class KTransferKioImpl;

/**
 * short Bridge class for @ref KTransferKioImpl objects.
 * 
 * @author Sergio Moretti
 *
 * @version $Id: ktransferkio.h,v 1.4 2001/04/02 20:38:51 sergio Exp $
 */

class KTransferKio : public KTransfer 
{
   friend class KObject;
   friend class KTManager;

public: 
   KTransferKio() {}

   // config

   bool getDisableCookie() const;
   void setDisableCookie(bool v) const;
   bool getDisableCache() const;
   void setDisableCache(bool v) const;

protected:
   KTransferKio(KTransferKioImpl *impl);
   KTransferKioImpl * impl() const;
};

#endif

/* Local Variables: */
/* mode: c++ */
/* End: */
